Bug 1001194 - Review Request: cmpfit - A MINPACK-1 Least Squares Fitting Library in C
Review Request: cmpfit - A MINPACK-1 Least Squares Fitting Library in C
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
: 1072028 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 12:48 EDT by Sergio Pascual
Modified: 2014-03-27 19:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-27 19:14:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nonamedotc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2013-08-26 12:48:04 EDT
Spec URL: http://guaix.fis.ucm.es/~spr/cmpfit.spec
SRPM URL: http://guaix.fis.ucm.es/~spr/cmpfit-1.2-1.fc19.src.rpm
Description: 
CMPFIT uses the Levenberg-Marquardt technique to solve the least-squares 
problem. In its typical use, CMPFIT will be used to fit a user-supplied 
function (the "model") to user-supplied data points (the "data") by adjusting 
a set of parameters. CMPFIT is based upon MINPACK-1 (LMDIF.F) by More' and 
collaborators.
Fedora Account System Username: sergiopr
Comment 1 Mukundan Ragavan 2014-03-05 00:22:30 EST
*** Bug 1072028 has been marked as a duplicate of this bug. ***
Comment 2 Mukundan Ragavan 2014-03-05 00:24:22 EST
Hi Sergio,

Do you still want to continue this?
Comment 3 Sergio Pascual 2014-03-06 16:24:36 EST
Yes, it will help me fix #982161 (eventually)
Comment 4 Mukundan Ragavan 2014-03-06 16:59:21 EST
Excellent. I also need this for another package. I will review it later today.
Comment 5 Mukundan Ragavan 2014-03-07 00:34:30 EST
Some issues are present. Please see below.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

---> The license text is present in the file DISCLAIMER in the source package. Please include that.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in
     /home/mukundan/personal/pkgs/reviews/1001194-cmpfit/licensecheck.txt

---> This is fine.

[!]: License file installed when any subpackage combination is installed.

---> See above.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in cmpfit-
     devel

---> Please fix this.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

---> koji build looks good.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6608176


[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cmpfit-1.2-1.fc21.x86_64.rpm
          cmpfit-devel-1.2-1.fc21.x86_64.rpm
          cmpfit-1.2-1.fc21.src.rpm
cmpfit-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cmpfit-devel cmpfit
cmpfit-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
cmpfit-devel (rpmlib, GLIBC filtered):
    cmpfit
    libmpfit.so.0()(64bit)

cmpfit (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
cmpfit-devel:
    cmpfit-devel
    cmpfit-devel(x86-64)

cmpfit:
    cmpfit
    cmpfit(x86-64)
    libmpfit.so.0()(64bit)



Source checksums
----------------
http://cow.physics.wisc.edu/~craigm/idl/down/cmpfit-1.2.zip :
  CHECKSUM(SHA256) this package     : 99869da00c86efd5c5e4388bda246c3834314644690e6a05d882eadd0c6b28b8
  CHECKSUM(SHA256) upstream package : 99869da00c86efd5c5e4388bda246c3834314644690e6a05d882eadd0c6b28b8


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1001194
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 6 Sergio Pascual 2014-03-07 07:14:57 EST
I have added DISCLAIMER to %doc and updated 
requires in cmpfit-devel to %{name}%{?_isa} = %{version}-%{release}

SPEC http://guaix.fis.ucm.es/~spr/fedora/cmpfit.spec
SRPM http://guaix.fis.ucm.es/~spr/fedora/cmpfit-1.2-2.fc20.src.rpm
Comment 7 Mukundan Ragavan 2014-03-07 09:54:19 EST
That looks good to me.
Comment 8 Mukundan Ragavan 2014-03-07 10:34:25 EST
Also, if you don't mind, I can co-maintain the package with you.

my FAS username is nonamedotc
Comment 9 Sergio Pascual 2014-03-07 13:39:12 EST
New Package SCM Request
=======================
Package Name: cmpfit
Short Description: A MINPACK-1 Least Squares Fitting Library in C
Owners: sergiopr nonamedotc
Branches: f19 f20 
InitialCC:
Comment 10 Gwyn Ciesla 2014-03-07 14:30:31 EST
Git done (by process-git-requests).
Comment 11 Marcin Wojdyr 2014-03-19 18:25:59 EDT
Just a thought: you may email upstream author to get the latest version of this code. I reported some bugs a year ago and he sent me newer version. Not much has changed, only a couple of bugfixes AFAIR.
Comment 12 Mukundan Ragavan 2014-03-27 16:09:02 EDT
Can we close this review request now since the package is already built in rawhide? All good?
Comment 13 Sergio Pascual 2014-03-27 19:14:45 EDT
Yes, I'll do it

Note You need to log in before you can comment on or make changes to this bug.